Why am I unable to download a Somfy Protect mobile application?

Verify that you have a smartphone or tablet that is compatible with the Somfy Protect application.

You device should have at least version Android 4.4 or iOS 9.
Finally, we suggest verifying that your device is properly connected to the Internet (preferably your WiFi network) and has about 100 MB of available hard drive space for downloading and installing the application.

How can we help you?

If you haven't found the answer to your question, we invite you to request a support ticket. We will answer you as soon as possible.

Open a ticket My ticket